Printago API
GET /v1/store-files/{id}

Get a library file

Requires: file.download

Path Parameters

id required
string

Response Schema

StoreFile
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
kindrequired
"font" | "openscad_library" | "python_module" | "asset"
fontopenscad_librarypython_moduleasset
licenseAttestedAtrequirednullable
string
format: date-time
licenseAttestedByUserIdrequirednullable
string
metadatarequired
Record<string, any>
Construct a type with a set of properties K of type T
mimeTyperequired
string
originalFilenamerequired
string
sha256requirednullable
string
sizeBytesrequirednullable
number
storagePathrequired
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "kind": "font",
  "storagePath": "string",
  "originalFilename": "string",
  "mimeType": "string",
  "sizeBytes": 1,
  "sha256": "string",
  "licenseAttestedAt": "2025-01-15T12:00:00.000Z",
  "licenseAttestedByUserId": "string",
  "metadata": {},
  "id": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z"
}